Bug 413941 - powernow-k8 requires SMP to build
Summary: powernow-k8 requires SMP to build
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel   
(Show other bugs)
Version: 5.1
Hardware: i386 Linux
low
low
Target Milestone: ---
: ---
Assignee: Prarit Bhargava
QA Contact: Martin Jenner
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-12-06 13:48 UTC by Steve Snyder
Modified: 2008-05-21 15:03 UTC (History)
2 users (show)

Fixed In Version: RHBA-2008-0314
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 15:03:15 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
RHEL5 fix for this issue (1.67 KB, patch)
2007-12-07 14:32 UTC, Prarit Bhargava
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2008:0314 normal SHIPPED_LIVE Updated kernel packages for Red Hat Enterprise Linux 5.2 2008-05-20 18:43:34 UTC

Description Steve Snyder 2007-12-06 13:48:36 UTC
Description of problem:

Build of kernel module powernow-k8.o unconditionally relies on conditional
structure member(s).

Version-Release number of selected component (if applicable):

kernel-2.6.18-53.1.4.el5

How reproducible:

Always

Steps to Reproduce:
1. rpm -ivh kernel-2.6.18-53.1.4.el5.src.rpm
2. rpmbuild -bp --target i686 SPEC/kernel.spec
3. Using kernel's menuconfig, disable SMP support, save new config
4. Attempt to rebuild kernel
  
Actual results:

arch/i386/kernel/cpu/cpufreq/powernow-k8.c: In function âpowernowk8_initâ:
arch/i386/kernel/cpu/cpufreq/powernow-k8.c:1435: error: âstruct cpuinfo_x86â has
no member named âbooted_coresâ
make[3]: *** [arch/i386/kernel/cpu/cpufreq/powernow-k8.o] Error 1
make[2]: *** [arch/i386/kernel/cpu/cpufreq] Error 2
make[1]: *** [arch/i386/kernel/cpu] Error 2

Expected results:

Successful compile.

Additional info:

That structure member "booted_cores" is #ifdef'd to CONFIG_SMP in file
~/include/asm-x86_64/processor.h

Comment 1 Steve Snyder 2007-12-06 13:51:50 UTC
I am well aware that Red Hat does not support user-modified kernels.  That said,
I think you might want to know that you've painted yourselves into a corner
should you ever decide to do a non-SMP kernel again.


Comment 2 Prarit Bhargava 2007-12-06 15:07:20 UTC
(In reply to comment #1)
> I am well aware that Red Hat does not support user-modified kernels.  That said,
> I think you might want to know that you've painted yourselves into a corner
> should you ever decide to do a non-SMP kernel again.

Hey Steve, 

You're 100% right in that we do not support user-modified kernels.  It is *very*
unlikely that we'll ever go back to shipping a UP kernel (see Fedora).  OTOH,
you do point out a valid bug in our code that, IMO, is easy to fix.  I'll point
it out to the appropriate people.

Thanks :)

P.

Comment 3 Prarit Bhargava 2007-12-07 14:32:01 UTC
Created attachment 281231 [details]
RHEL5 fix for this issue

Comment 5 Prarit Bhargava 2007-12-07 14:37:26 UTC
Steve, the attached patch should get you moving again and get you a clean
compile of the PowerNow driver.

Thanks again,

P.

Comment 6 Steve Snyder 2007-12-07 15:25:30 UTC
(In reply to comment #5)
> Steve, the attached patch should get you moving again and get you a clean
> compile of the PowerNow driver.

Thanks for the quick turn-around, Prarit.


Comment 7 RHEL Product and Program Management 2007-12-07 21:45:26 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 9 Don Zickus 2008-01-11 20:03:51 UTC
in 2.6.18-66.el5dz_test
You can download this test kernel from http://people.redhat.com/dzickus/el5

Comment 12 errata-xmlrpc 2008-05-21 15:03:15 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0314.html



Note You need to log in before you can comment on or make changes to this bug.